Skip to main content
PATCH
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
messages
/
{message_id}
Update Message
curl --request PATCH \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/{message_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "add_labels": "<string>",
  "remove_labels": "<string>"
}
'
{
  "message_id": "<string>",
  "labels": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer authentication

Path Parameters

inbox_id
string
required

The ID of the inbox.

message_id
string
required

ID of message.

Body

application/json
add_labels

Label or labels to add to message.

remove_labels

Label or labels to remove from message.

Response

Response with status 200

message_id
string
required

ID of message.

labels
string[]
required

Labels of message.